hanami/hanami 软件分析报告

基础信息

项目名称:hanami/hanami

项目徽章:

Security Status

仓库地址:https://github.com/pterodactyl/panel

检测报告地址:https://www.murphysec.com/console/report/1758546493465399296/1758546493532508160

此报告由Murphysec提供

漏洞列表

漏洞名称 漏洞类型 MPS编号 CVE编号 漏洞等级
OpenSSL 加密问题漏洞 密码学问题 MPS-2013-5113 CVE-2013-6449 中危
OpenSSL 安全漏洞 密码学问题 MPS-2014-0001 CVE-2013-6450 中危
OpenSSL ‘ssl3_take_mac ’函数输入验证漏洞 输入验证不恰当 MPS-2014-0085 CVE-2013-4353 中危
OpenSSL ECDSA 加密问题漏洞 密码学问题 MPS-2014-1446 CVE-2014-0076 低危
OpenSSL Heartbleed(心脏滴血)漏洞 缓冲区溢出 MPS-2014-1631 CVE-2014-0160 高危
OpenSSL 竞争条件漏洞 竞争条件 MPS-2014-1765 CVE-2010-5298 中危
OpenSSL do_ssl3_write 函数缓冲区溢出漏洞 空指针取消引用 MPS-2014-2270 CVE-2014-0198 中危
OpenSSL 缓冲区溢出漏洞 经典缓冲区溢出 MPS-2014-2857 CVE-2014-0195 中危
OpenSSL 资源管理错误漏洞 MPS-2014-2858 CVE-2014-0221 中危
OpenSSL 存在CCS 注入漏洞 加密强度不足 MPS-2014-2859 CVE-2014-0224 高危
OpenSSL 安全漏洞 空指针取消引用 MPS-2014-2860 CVE-2014-3470 中危
OpenSSL DTLS 双重释放漏洞 MPS-2014-4004 CVE-2014-3505 中危
OpenSSL DTLS 资源管理错误漏洞 资源管理错误 MPS-2014-4005 CVE-2014-3506 中危
OpenSSL DTLS 内存泄露漏洞 资源管理错误 MPS-2014-4006 CVE-2014-3507 中危
OpenSSL 信息泄露漏洞 未授权敏感信息泄露 MPS-2014-4007 CVE-2014-3508 中危
OpenSSL 竞争条件漏洞 竞争条件 MPS-2014-4008 CVE-2014-3509 中危
OpenSSL 安全漏洞 MPS-2014-4009 CVE-2014-3510 中危
OpenSSL 安全漏洞 MPS-2014-4010 CVE-2014-3511 中危
OpenSSL SRP 缓冲区溢出漏洞 缓冲区溢出 MPS-2014-4011 CVE-2014-3512 高危
OpenSSL 拒绝服务漏洞 MPS-2014-4012 CVE-2014-5139 中危
OpenSSL DTLS SRTP扩展内存泄露漏洞 输入验证不恰当 MPS-2014-6093 CVE-2014-3513 高危
OpenSSL 内存泄露拒绝服务漏洞 资源管理错误 MPS-2014-6094 CVE-2014-3567 高危
OpenSSL 安全绕过漏洞 密码学问题 MPS-2014-6095 CVE-2014-3568 中危
OpenSSL‘ssl23_get_client_hello()’函数拒绝服务漏洞 MPS-2014-7803 CVE-2014-3569 中危
OpenSSL 加密问题漏洞 密码学问题 MPS-2015-0143 CVE-2014-8275 中危
OpenSSL 加密问题漏洞 密码学问题 MPS-2015-0144 CVE-2015-0204 中危
OpenSSL ssl3_get_cert_verify 函数加密问题漏洞 密码学问题 MPS-2015-0145 CVE-2015-0205 中危
OpenSSL dtls1_buffer_record 函数缓冲区错误漏洞 缓冲区溢出 MPS-2015-0146 CVE-2015-0206 中危
OpenSSL BN_sqr实现加密问题漏洞 密码学问题 MPS-2015-0147 CVE-2014-3570 中危
OpenSSL 拒绝服务漏洞 空指针取消引用 MPS-2015-0148 CVE-2014-3571 中危
OpenSSL ssl3_get_key_exchange 函数加密问题漏洞 密码学问题 MPS-2015-0149 CVE-2014-3572 中危
OpenSSL‘dtls1_listen’函数拒绝服务漏洞 MPS-2015-1482 CVE-2015-0207 中危
OpenSSL‘rsa_item_verify’函数拒绝服务漏洞 MPS-2015-1483 CVE-2015-0208 中危
OpenSSL‘d2i_ECPrivateKey’函数释放后重用漏洞 MPS-2015-1484 CVE-2015-0209 中危
OpenSSL‘ASN1_TYPE_cmp’函数安全漏洞 已弃用:代码 MPS-2015-1486 CVE-2015-0286 中危
OpenSSL‘ASN1_item_ex_d2i’函数安全漏洞 已弃用:代码 MPS-2015-1487 CVE-2015-0287 中危
OpenSSL‘X509_to_X509_REQ’函数拒绝服务漏洞 MPS-2015-1488 CVE-2015-0288 中危
OpenSSL PKCS#7 拒绝服务漏洞 MPS-2015-1489 CVE-2015-0289 中危
OpenSSL‘ssl3_write_bytes’函数拒绝服务漏洞 已弃用:代码 MPS-2015-1490 CVE-2015-0290 中危
OpenSSL sigalgs 拒绝服务漏洞 MPS-2015-1491 CVE-2015-0291 中危
OpenSSL‘EVP_DecodeUpdate’函数缓冲区错误漏洞 缓冲区溢出 MPS-2015-1492 CVE-2015-0292 高危
OpenSSL SSLv2 拒绝服务漏洞 输入验证不恰当 MPS-2015-1493 CVE-2015-0293 中危
OpenSSL‘ssl3_get_client_key_exchange’函数拒绝服务漏洞 输入验证不恰当 MPS-2015-1494 CVE-2015-1787 低危
OpenSSL dtls1_clear_queues 函数缓冲区错误漏洞 缓冲区溢出 MPS-2015-2810 CVE-2014-8176 高危
OpenSSL BN_GF2m_mod_inv 函数资源管理错误漏洞 资源管理错误 MPS-2015-2811 CVE-2015-1788 中危
OpenSSL 缓冲区错误漏洞 缓冲区溢出 MPS-2015-2812 CVE-2015-1789 高危
OpenSSL PKCS7_dataDecode 函数拒绝服务漏洞 拒绝服务 MPS-2015-2813 CVE-2015-1790 中危
OpenSSL ssl3_get_new_session_ticket 函数竞争条件漏洞 竞争条件 MPS-2015-2814 CVE-2015-1791 中危
OpenSSL 资源管理错误漏洞 资源管理错误 MPS-2015-2815 CVE-2015-1792 中危
OpenSSL 安全漏洞 7PK – 安全功能 MPS-2015-3308 CVE-2015-1793 中危
libpng 缓冲区错误漏洞 经典缓冲区溢出 MPS-2015-5791 CVE-2015-8126 高危
OpenSSL ssl3_get_key_exchange 拒绝服务漏洞 数字错误 MPS-2015-5992 CVE-2015-1794 中危
OpenSSL BN_mod_exp 安全漏洞 未授权敏感信息泄露 MPS-2015-5993 CVE-2015-3193 高危
OpenSSL 拒绝服务漏洞 空指针取消引用 MPS-2015-5994 CVE-2015-3194 高危
OpenSSL ASN1_TFLG_COMBINE 信息泄露漏洞 未授权敏感信息泄露 MPS-2015-5995 CVE-2015-3195 中危
OpenSSL 拒绝服务漏洞 竞争条件 MPS-2015-5996 CVE-2015-3196 中危
libpng 缓冲区错误漏洞 缓冲区溢出 MPS-2016-0563 CVE-2015-8472 高危
OpenSSL 信息泄露漏洞 未授权敏感信息泄露 MPS-2016-0870 CVE-2016-0701 低危
OpenSSL 安全漏洞 密码学问题 MPS-2016-0875 CVE-2015-3197 中危
OpenSSL 敏感信息泄露漏洞 密码学问题 MPS-2016-1055 CVE-2016-0800 中危
OpenSSL 安全漏洞 未授权敏感信息泄露 MPS-2016-1056 CVE-2016-0703 中危
OpenSSL 安全漏洞 未授权敏感信息泄露 MPS-2016-1057 CVE-2016-0704 中危
OpenSSL 安全漏洞 未授权敏感信息泄露 MPS-2016-1063 CVE-2016-0702 中危
OpenSSL 安全漏洞 MPS-2016-1064 CVE-2016-0705 严重
OpenSSL‘BN_hex2bn’函数和‘BN_dec2bn’函数整数溢出漏洞 MPS-2016-1065 CVE-2016-0797 高危
OpenSSL SRP_VBASE_get_by_user 方法内存泄露漏洞 资源管理错误 MPS-2016-1066 CVE-2016-0798 高危
OpenSSL‘BIO_*printf’函数安全漏洞 缓冲区溢出 MPS-2016-1067 CVE-2016-0799 严重
OpenSSL 安全漏洞 缓冲区溢出 MPS-2016-1068 CVE-2016-2842 严重
OpenSSL 整数溢出漏洞 整数溢出或环绕 MPS-2016-2081 CVE-2016-2105 高危
OpenSSL 整数溢出漏洞 数字错误 MPS-2016-2082 CVE-2016-2106 高危
OpenSSL 加密不当漏洞 密码学问题 MPS-2016-2083 CVE-2016-2107 中危
OpenSSL ASN.1实现拒绝服务漏洞 缓冲区溢出 MPS-2016-2084 CVE-2016-2108 严重
OpenSSL ASN.1 BIO实现拒绝服务漏洞 资源管理错误 MPS-2016-2085 CVE-2016-2109 高危
OpenSSL 安全漏洞 缓冲区溢出 MPS-2016-2086 CVE-2016-2176 高危
OpenSSL 拒绝服务漏洞 整数溢出或环绕 MPS-2016-3031 CVE-2016-2177 严重
OpenSSL 安全漏洞 通过差异性导致的信息暴露 MPS-2016-3032 CVE-2016-2178 中危
Android libpng 提权漏洞 输入验证不恰当 MPS-2016-3291 CVE-2016-3751 高危
OpenSSL 本地拒绝服务漏洞 越界读取 MPS-2016-3871 CVE-2016-2180 高危
OpenSSL 安全漏洞 资源管理错误 MPS-2016-4537 CVE-2016-2179 高危
OpenSSL 拒绝服务漏洞 数字错误 MPS-2016-4538 CVE-2016-2181 高危
OpenSSL‘BN_bn2dec()’函数拒绝服务漏洞 越界写入 MPS-2016-4539 CVE-2016-2182 严重
OpenSSL 拒绝服务漏洞 输入验证不恰当 MPS-2016-4548 CVE-2016-6302 高危
OpenSSL MDC2_Update 函数整数溢出漏洞 越界写入 MPS-2016-4549 CVE-2016-6303 严重
OpenSSL 内存泄露漏洞 内存泄漏 MPS-2016-4838 CVE-2016-6304 高危
OpenSSL 拒绝服务漏洞 越界读取 MPS-2016-4840 CVE-2016-6306 中危
libpng 安全漏洞 空指针取消引用 MPS-2017-1020 CVE-2016-10087 高危
Digia Qt 安全漏洞 缓冲区溢出 MPS-2017-11146 CVE-2017-15011 高危
OpenSSL 信息泄露漏洞 未授权敏感信息泄露 MPS-2017-12484 CVE-2017-3736 中危
OpenSSL 存在拒绝服务漏洞 拒绝服务 MPS-2017-12773 CVE-2016-8610 高危
OpenSSL 缓冲区错误漏洞 越界写入 MPS-2017-13708 CVE-2017-3737 中危
OpenSSL 信息泄露漏洞 未授权敏感信息泄露 MPS-2017-13709 CVE-2017-3738 中危
OpenSSL 缓冲区错误漏洞 越界读取 MPS-2017-5086 CVE-2017-3731 高危
OpenSSL 信息泄露漏洞 未授权敏感信息泄露 MPS-2017-5087 CVE-2017-3732 中危
OpenSSL 缓冲区错误漏洞 缓冲区溢出 MPS-2017-9606 CVE-2017-3735 中危
OpenSSL 加密问题漏洞 隐蔽时间通道 MPS-2018-12058 CVE-2016-7056 中危
Digia Qt 资源管理错误漏洞 双重释放 MPS-2018-16320 CVE-2018-15518 高危
Digia Qt 代码问题漏洞 空指针取消引用 MPS-2018-16329 CVE-2018-19870 高危
Digia Qt 资源管理错误漏洞 拒绝服务 MPS-2018-16330 CVE-2018-19871 中危
Digia Qt 缓冲区错误漏洞 缓冲区溢出 MPS-2018-16331 CVE-2018-19873 严重
Digia Qt 输入验证错误漏洞 输入验证不恰当 MPS-2018-16491 CVE-2018-19869 中危
OpenSSL 资源管理错误漏洞 未经控制的递归 MPS-2018-3750 CVE-2018-0739 中危
OpenSSL 加密问题漏洞 密码算法不安全 MPS-2018-4731 CVE-2018-0737 中危
Openssl OpenSSL 加密问题漏洞 密钥管理错误 MPS-2018-7822 CVE-2018-0732 高危
libpng 数字错误漏洞 除零错误 MPS-2018-9315 CVE-2018-13785 中危
libpng 安全漏洞 输入验证不恰当 MPS-2018-9648 CVE-2018-14048 中危
libpng 资源管理错误漏洞 UAF MPS-2019-1241 CVE-2019-7317 中危
Qt 数字错误漏洞 除零错误 MPS-2019-2689 CVE-2018-19872 中危
libpng 缓冲区错误漏洞 越界写入 MPS-2019-7748 CVE-2018-14550 高危
libpng 输入验证错误漏洞 输入验证不恰当 MPS-2019-7770 CVE-2017-12652 严重
OpenSSL 信任管理问题漏洞 证书验证不恰当 MPS-2019-8829 CVE-2019-1552 低危
Qt 缓冲区错误漏洞 越界读取 MPS-2020-11445 CVE-2020-17507 中危
Digia Qt 缓冲区错误漏洞 XML实体扩展 MPS-2020-1223 CVE-2015-9541 高危
OpenSSL 加密问题漏洞 通过差异性导致的信息暴露 MPS-2020-12634 CVE-2020-1968 低危
qt Library 代码问题漏洞 不可信的搜索路径 MPS-2020-12933 CVE-2020-0570 高危
Intel PROSet/Wireless WiFi Software 缓冲区错误漏洞 越界写入 MPS-2020-16561 CVE-2020-0569 中危
OpenSSL 空指针取消引用漏洞 空指针取消引用 MPS-2020-17574 CVE-2020-1971 中危
Digia Qt 资源管理错误漏洞 不加限制或调节的资源分配 MPS-2020-3029 CVE-2018-21035 高危
Digia Qt 资源管理错误漏洞 UAF MPS-2020-6641 CVE-2020-12267 严重
Digia Qt和Mumble 安全漏洞 MPS-2020-8355 CVE-2020-13962 高危
Qt QLibrary 缓冲区错误漏洞 越界写入 MPS-2021-16565 CVE-2021-38593 高危
OpenSSL 缓冲区错误漏洞 越界读取 MPS-2021-17869 CVE-2021-3712 高危
OpenSSL 加密问题漏洞 加密强度不足 MPS-2021-1869 CVE-2021-23839 低危
OpenSSL 输入验证错误漏洞 整数溢出或环绕 MPS-2021-2306 CVE-2021-23840 高危
OpenSSL 输入验证错误漏洞 空指针取消引用 MPS-2021-2535 CVE-2021-23841 中危
Openssl 空指针取消引用漏洞 空指针取消引用 MPS-2021-3619 CVE-2021-3449 中危
Qt 安全漏洞 路径遍历 MPS-2022-4762 CVE-2022-25634 高危
libpng 代码问题漏洞 空指针取消引用 MPS-2022-63559 CVE-2022-3857 中危
OpenSSL 安全漏洞 通过差异性导致的信息暴露 MPS-2022-66954 CVE-2022-4304 中危
OpenSSL 资源管理错误漏洞 UAF MPS-2023-1276 CVE-2023-0215 高危
Qt 安全漏洞 不可达退出条件的循环(无限循环) MPS-e6af-vlzn CVE-2023-38197 高危
Qt 安全漏洞 经典缓冲区溢出 MPS-gnzc-q4xk CVE-2023-32763 高危
Qt 安全漏洞 整数溢出或环绕 MPS-l6up-s8mb CVE-2023-51714 严重
OpenSSL 安全漏洞 过度迭代 MPS-n3pe-ljgc CVE-2023-3817 中危
Qt 安全漏洞 MPS-v6zh-ckos CVE-2023-32762 中危

缺陷组件

组件名称 版本 最小修复版本 依赖关系 修复建议
qt 5.5.1 6.2.11 间接依赖 建议修复
openssl 1.0.1e 1.1.1x 间接依赖 建议修复
libpng 1.6.17 1.6.39 间接依赖 建议修复

许可证风险

许可证类型 相关组件 许可证风险
OpenSSL 1
LicenseRef-scancode-ssleay 1
Libpng 1

SBOM清单

组件名称 组件版本 是否直接依赖 仓库
libdl.so.2 间接依赖
freetype 间接依赖
libc.so.6 间接依赖
libpthread.so.0 间接依赖
qt 5.5.1 间接依赖
openssl 1.0.1e 间接依赖
libpng 1.6.17 间接依赖
libm.so.6 间接依赖
librt.so.1 间接依赖
libz.so.1 间接依赖
libstdc++.so.6 间接依赖
ld-linux-x86-64.so.2 间接依赖
libgcc_s.so.1 间接依赖
fontconfig 间接依赖
(0)
上一篇 2024年2月17日
下一篇 2024年2月17日

相关推荐

  • dzfweb/nativescript-emoji 软件分析报告

    基础信息 项目名称:dzfweb/nativescript-emoji 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1717354239381782528/1717354239864127488 此报告由Murp…

    软件分析 2023年10月26日
    0
  • apigee/apib 软件分析报告

    基础信息 项目名称:apigee/apib 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1715963246782758912/1715963246828896256 此报告由Murphysec提供 漏洞列表 暂…

    软件分析 2023年10月23日
    0
  • Azure/application-gateway-kubernetes-ingress 软件分析报告

    基础信息 项目名称:Azure/application-gateway-kubernetes-ingress 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1716194938474774528/171619493…

    软件分析 2023年10月23日
    0
  • bekzod/ember-slack-search-input 软件分析报告

    基础信息 项目名称:bekzod/ember-slack-search-input 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1720889143941464064/1727518626180714496 此报…

    软件分析 2023年11月23日
    0
  • aaronksaunders/ns-vue-tabs-auth 软件分析报告

    基础信息 项目名称:aaronksaunders/ns-vue-tabs-auth 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1720488625463930880/1720488625501679616 此报…

    软件分析 2023年11月4日
    0